package traceability.recovery.vsm;

import traceability.recovery.ParameterType;
import traceability.recovery.coconut.COCONUTRecoveryTechniqueParams;

/**
 * 
 * Recovery technique parameters for the vector space model.
 * 
 * There are no technique-specific parameters for VSM in this implementation.
 * 
 * @see traceability.recovery.vsm.VSMRecoveryTechnique
 * @author Sam Klock
 *
 */
public class VSMRecoveryTechniqueParams extends COCONUTRecoveryTechniqueParams {
	
	/*
	 * (non-Javadoc)
	 * @see traceability.recovery.RecoveryTechniqueParams#getLabelForParameter(java.lang.String)
	 */
	@Override
	public String getLabelForParameter(String id) {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * @see traceability.recovery.RecoveryTechniqueParams#getParameterIDs()
	 */
	@Override
	public String[] getParameterIDs() {
		return new String[0];
	}

	/*
	 * (non-Javadoc)
	 * @see traceability.recovery.RecoveryTechniqueParams#getParameterValue(java.lang.String)
	 */
	@Override
	public Object getParameterValue(String id) {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * @see traceability.recovery.RecoveryTechniqueParams#getTypeForParameter(java.lang.String)
	 */
	@Override
	public ParameterType getTypeForParameter(String id) {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * @see traceability.recovery.RecoveryTechniqueParams#setValueForParameter(java.lang.String, java.lang.Object)
	 */
	@Override
	public void setValueForParameter(String id, Object val) {
		throw new UnsupportedOperationException("No parameters to set");
	}
}
