package traceability.recovery;

/**
 * Specifies types for parameters to recovery techniques.
 * 
 * @author Sam Klock
 *
 */
public enum ParameterType {
	Text,		//Textual (string) parameters
	Radio,		//Radio parameters (only one selectable)
	Check,		//Checkbox parameters (multiple selectable)
	Integer,	//Integer parameters
	Real;		//Real-valued parameters
}
