/*
 *  BasicWeigher.java - SE@SA Lab 2006
 *  
 *  This file is part of COCONUT.
 *
 *  COCONUT is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  COCONUT is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with COCONUT; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package org.sesalab.IR.documentSpace.weigher;

import org.sesalab.IR.matrix.ISparseMatrix;

/**
 * Classe che implementa l'algoritmo di pesatura della matrice termini-documenti
 * di default basato sulle occorrenze dei termini
 * 
 * @author Paola Sgueglia
 */
public class BasicWeigher implements IWeigherSparseMatrix {

	/**
	 * Crea una nuova istanza della classe
	 */
	public BasicWeigher() {
		super();
	}

	/**
	 * @see org.sesalab.IR.documentSpace.weigher.IWeigherSparseMatrix#weigh(org.sesalab.IR.matrix.ISparseMatrix)
	 */
	public ISparseMatrix weigh(ISparseMatrix pSparseMatrix) {
		return pSparseMatrix;
	}
}
