package traceability.management;

/**
 * Checked exception for manager-related problems.
 * @author Sam Klock
 *
 */
public class ManagerException extends Exception {
	
	private static final long serialVersionUID = 20101115224525L;
	
	/**
	 * @see java.lang.Exception#Exception()
	 */
	public ManagerException() {
		super();
	}
	
	/**
	 * @see java.lang.Exception#Exception(String)
	 */
	public ManagerException(String msg) {
		super(msg);
	}
}
