package traceability.recovery;

public enum StemmerSetting {
	NoStemming,
	StemNouns,
	StemAll;
	
	public String toString() {
		switch(this) {
		case NoStemming:
			return "No stemming";
		case StemNouns:
			return "Stem nouns only";
		case StemAll:
			return "Stem all words";
		}
		return null;	//Error condition;
	}
}
